#ifndef __TYPEDEFS_H_
#define __TYPEDEFS_H_

//============================================================================
//Changelog:
//============================================================================
typedef unsigned char ubyte;
typedef signed char sbyte;
typedef unsigned short uword;
typedef signed short sword;
typedef unsigned long dword;
typedef union
{
     ubyte as_bytes[2];
     int as_int;
}INT_UNION;

typedef union
{
     ubyte as_bytes[2];
     uword as_word;
}WORD_UNION;

typedef union
{
     ubyte as_bytes[4];
     dword as_dword;
}DWORD_UNION;

typedef union
{
     ubyte as_bytes[4];
     uword as_words[2];
     dword as_dword;
     float as_float;
} FLOAT_UNION;

#endif
